%% There are several ways to open a parallel pool.  Find two of them here.


%% Hint:

doc parpool


%% Open and close a parallel pool interactively
% Hint: look at bottom left corner of MATLAB desktop


%% Open pool of 2 local MATLAB workers

parpool(2)


%% Query size of pool of workers
% Hint:  How do you handle the case of no pool being open?

poolobj = gcp('nocreate'); % If a pool is not open, do not create new one.
if isempty(poolobj)
    poolsize = 0;
else
    poolsize = poolobj.NumWorkers;
end
disp(poolsize)

%% There are several ways to close a parallel pool.  Find two of them here.


%% Close pool of workers interactively
% Hint: look at bottom left hand corner of MATLAB desktop


%% Close pool of workers programmatically

delete(gcp)
